<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: server.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: server.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>
const addProduct    = require('./controllers/productController').addProduct;
const CarInsurance  = require('./models/carInsurance');

/** @module Application */

/** 
 * @name Application
 * @description Start the application: "npm run after-30-days"
 *  */



/**
 * @function start
 * @description start the application
 */
function start (){
    const productsAtDayZero = [
        addProduct('Medium Coverage', 10, 20),
        addProduct('Full Coverage', 2, 0),
        addProduct('Low Coverage', 5, 7),
        addProduct('Mega Coverage', 0, 80),
        addProduct('Mega Coverage', -1, 80),
        addProduct('Special Full Coverage', 15, 20),
        addProduct('Special Full Coverage', 10, 49),
        addProduct('Special Full Coverage', 5, 49),
        addProduct('Super Sale', 3, 6)
    ];
    
    const carInsurance = new CarInsurance(productsAtDayZero);
    const productPrinter = function (product) {
      console.log(`${product.name}, ${product.sellIn}, ${product.price}`);
    };
    
    for (let i = 1; i &lt;= 30; i += 1) {
      console.log(`Day ${i}`);
      console.log('name, sellIn, price');
      carInsurance.updatePrice().forEach(productPrinter);
      console.log('');
    }
}

start();
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-Application.html">Application</a></li><li><a href="module-productController.html">productController</a></li></ul><h3>Classes</h3><ul><li><a href="carInsurance.html">carInsurance</a></li><li><a href="FullCoverage.html">FullCoverage</a></li><li><a href="LowCoverage.html">LowCoverage</a></li><li><a href="MediumCoverage.html">MediumCoverage</a></li><li><a href="MegaCoverage.html">MegaCoverage</a></li><li><a href="Product.html">Product</a></li><li><a href="specialFullCoverage.html">specialFullCoverage</a></li><li><a href="SuperSaleCoverage.html">SuperSaleCoverage</a></li></ul><h3>Global</h3><ul><li><a href="global.html#checkPrice">checkPrice</a></li><li><a href="global.html#getProducts">getProducts</a></li><li><a href="global.html#setPrice">setPrice</a></li><li><a href="global.html#setSellIn">setSellIn</a></li><li><a href="global.html#update">update</a></li><li><a href="global.html#updatePrice">updatePrice</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Jan 24 2021 14:28:26 GMT-0600 (Central Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
